TransactField App System Requirements

   Journey PlatformPreviously known as the Transact Platform.

TransactField App supports the following devices for existing customers:

  • Apple iOS 7 or later devices
  • Google Android version 4 or later devices
  • Microsoft Windows 8.1 devices via the Windows Store
  • Microsoft Windows 7 or later PCs with Windows App

Next, learn about Journey platform support.